import { world, ItemStack} from '@minecraft/server';


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:random_lightning', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:random_lightning"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:necromancy_table', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:necromancy_table"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:meteor_rod', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:meteor_rod"), e.block.center());
        }
    });
});



world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:crop_growth_sf', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:crop_growth_sf"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:solar_soul_forge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:solar_soul_forge"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:echoed_soul_forge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:echoed_soul_forge"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:space_crystal', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:space_crystal"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:despawn', {
        onTick(e) {
            e.block.setType("minecraft:air");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_1', {
        onPlayerInteract(e) {
            e.block.setType("block:chocolate_cake_1");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_2', {
        onPlayerInteract(e) {
            e.block.setType("block:chocolate_cake_2");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_3', {
        onPlayerInteract(e) {
            e.block.setType("block:chocolate_cake_3");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_4', {
        onPlayerInteract(e) {
            e.block.setType("block:chocolate_cake_4");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_5', {
        onPlayerInteract(e) {
            e.block.setType("block:chocolate_cake_5");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_6', {
        onPlayerInteract(e) {
            e.block.setType("block:chocolate_cake_6");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:chocolate_cake_layer_7', {
        onPlayerInteract(e) {
            e.block.setType("minecraft:air");
            e.block.dimension.spawnItem(new ItemStack("food:chocolate_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_1', {
        onPlayerInteract(e) {
            e.block.setType("block:cloud_cake_1");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_2', {
        onPlayerInteract(e) {
            e.block.setType("block:cloud_cake_2");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_3', {
        onPlayerInteract(e) {
            e.block.setType("block:cloud_cake_3");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_4', {
        onPlayerInteract(e) {
            e.block.setType("block:cloud_cake_4");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_5', {
        onPlayerInteract(e) {
            e.block.setType("block:cloud_cake_5");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_6', {
        onPlayerInteract(e) {
            e.block.setType("block:cloud_cake_6");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_cake_layer_7', {
        onPlayerInteract(e) {
            e.block.setType("minecraft:air");
            e.block.dimension.spawnItem(new ItemStack("food:cloud_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_1', {
        onPlayerInteract(e) {
            e.block.setType("block:ender_cake_1");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cloud_crystal', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:cloud_crystal"), e.block.center());
        }
    });
});



world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:end_crop_growth', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:end_crop_growth"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ascendant_block', {
        onTick(e) {
            e.block.dimension.spawnEntity(("test:ascendant_block"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:end_crop_growth_cane', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:end_crop_growth_cane"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:red_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:red_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cyan_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:cyan_primevel_lamp"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:voided_soul_forge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:voided_soul_forge"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:orange_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:orange_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:yellow_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:yellow_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:green_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:green_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:blue_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:blue_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:purple_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:purple_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:pink_primevel_lamp', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:pink_primevel_lamp"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_crystal', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:ender_crystal"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:void_crystal', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("test:void_crystal"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:void_resurrection_generator_interact', {
        onPlayerInteract(e) {
            e.block.dimension.spawnEntity(("test:void_resurrection_generator_interact"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:glimmered_end_stone', {
        onTick(e) {
            e.block.setType("minecraft:end_stone");
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_2', {
        onPlayerInteract(e) {
            e.block.setType("block:ender_cake_2");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_3', {
        onPlayerInteract(e) {
            e.block.setType("block:ender_cake_3");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_4', {
        onPlayerInteract(e) {
            e.block.setType("block:ender_cake_4");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_5', {
        onPlayerInteract(e) {
            e.block.setType("block:ender_cake_5");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_6', {
        onPlayerInteract(e) {
            e.block.setType("block:ender_cake_6");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ender_cake_layer_7', {
        onPlayerInteract(e) {
            e.block.setType("minecraft:air");
            e.block.dimension.spawnItem(new ItemStack("food:ender_cake_slice"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ice_particles', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:ice_particles"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:redstone_heart', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:redstone_heart"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:remove_block', {
        onTick(e) {
            e.block.setType("minecraft:air");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:redstone_heart_activare', {
        onPlayerInteract(e) {
            e.block.setType("block:redstone_heart");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:redstone_heart_deactivate', {
        onPlayerInteract(e) {
            e.block.setType("block:inactive_redstone_heart");
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:pale_flower', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:pale_flower"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:crop_growth_nt', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:crop_growth_nt"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:apple_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:apple_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:orange_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:orange_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:lime_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:lime_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:lemon_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:lemon_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:pear_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:pear_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:durian_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:durian_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:banana_orchard_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:banana_orchard_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:white_cherry_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:white_cherry_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:cassia_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:cassia_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:crape_myrtle_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:crape_myrtle_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:red_autumn_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:red_autumn_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:orange_autumn_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:orange_autumn_leaves"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:yellow_autumn_leaves', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:yellow_autumn_leaves"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:tempered_forge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:tempered_forge"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:soul_surger', {
        onTick(e) {
            e.block.dimension.spawnEntity(("test:soul_surger"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:lava_sponge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:lava_sponge"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:molten_magma', {
        onStepOn(e) {
            e.block.setType("minecraft:flowing_lava");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:crop_growth_tif', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:crop_growth_tif"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:infested_sculk_1', {
        onStepOn(e) {
            e.block.dimension.spawnEntity(("mob:infested_sculk"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:soul_forge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:soul_forge"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:sculk_jaw', {
        onStepOn(e) {
            e.block.dimension.spawnEntity(("mob:sculk_jaw"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:dark_spawner', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:dark_spawner"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:soul_hive_inactive', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:soul_hive_inactive"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:soul_hive_deactive', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:soul_hive_deactive"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:crop_growth_awt', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:crop_growth_awt"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:soul_hive_active', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:souls"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:sculk_jaw_active', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:sculk_jaw_active"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:soul_magma_1', {
        onStepOn(e) {
            e.block.dimension.spawnEntity(("mob:soul_magma"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:sculk_emitter', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:sculk_emitter"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:crop_growth', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:crop_growth"), e.block.center());
        }
    });
});



world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:topaz', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:topaz"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:bewitching_table', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:bewitching_table"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:amethyst', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:amethyst"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:molten_magma_campfire', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:molten_magma_campfire"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:ancient_soul_forge', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mob:ancient_soul_forge"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:glimmered_netherrack', {
        onTick(e) {
            e.block.setType("minecraft:netherrack");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:glimmered_deepslate', {
        onTick(e) {
            e.block.setType("minecraft:deepslate");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:glimmered_stone', {
        onTick(e) {
            e.block.setType("minecraft:stone");
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:light_block', {
        onTick(e) {
            e.block.setType("minecraft:air");
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:jasper', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:jasper"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:mimic_interact', {
        onPlayerInteract(e) {
            e.block.dimension.spawnEntity(("mob:mimic_spawner"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:uranium_ore', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:uranium_ore"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:shattering_block', {
        onStepOn(e) {
            e.block.setType("minecraft:air");
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:kyanite', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:kyanite"), e.block.center());
        }
    });
});

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:aether_magnet', {
        onRandomTick(e) {
            e.block.dimension.spawnEntity(("mob:aether_magnet"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:spider_egg_step_on', {
        onStepOn(e) {
            e.block.dimension.spawnEntity(("mob:spider_egg"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:spider_egg_destroy', {
        onPlayerDestroy(e) {
            e.block.dimension.spawnEntity(("mob:spider_egg"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:auto_drill_up', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mechanic:auto_drill_up"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:auto_drill_down', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mechanic:auto_drill_down"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:auto_drill_north', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mechanic:auto_drill_north"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:auto_drill_south', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mechanic:auto_drill_south"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:auto_drill_east', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mechanic:auto_drill_east"), e.block.center());
        }
    });
});


world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('test:auto_drill_west', {
        onTick(e) {
            e.block.dimension.spawnEntity(("mechanic:auto_drill_west"), e.block.center());
        }
    });
});